#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EPublishedFileForSaleStatus {
    NotForSale = 0,
    PendingApproval = 1,
    ApprovedForSale = 2,
    RejectedForSale = 3,
    NoLongerForSale = 4,
    TentativeApproval = 5,
}

impl EPublishedFileForSaleStatus {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::NotForSale as i32 => Some(Self::NotForSale),
            x if x == Self::PendingApproval as i32 => Some(Self::PendingApproval),
            x if x == Self::ApprovedForSale as i32 => Some(Self::ApprovedForSale),
            x if x == Self::RejectedForSale as i32 => Some(Self::RejectedForSale),
            x if x == Self::NoLongerForSale as i32 => Some(Self::NoLongerForSale),
            x if x == Self::TentativeApproval as i32 => Some(Self::TentativeApproval),
            _ => None,
        }
    }
}
